---
updatedAt: 2026-05-07T13:26:35.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Synchronize offline PIN

Synchronize the offline PIN with the current online PIN value. The platform generates a script with the current online PIN, sends the script in response to the next authorization made with a chip (contact), and generates the [Card issuer script notification received](https://developers.pismo.io/events/docs/cards-issuer-script-1) event.

**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "PCI",
      "description": "Card PCI/sensitive information endpoints"
    }
  ],
  "components": {
    "parameters": {
      "cardId": {
        "in": "path",
        "name": "cardId",
        "schema": {
          "type": "string"
        },
        "description": "Pismo card ID",
        "example": "12345",
        "required": true
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad Request"
      },
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "403Forbidden": {
        "description": "You don't have permission to access this resource"
      },
      "404NotFound": {
        "description": "The specified resource was not found"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/pcicards/v1/pcicards/{cardId}/scripts/sync-offline-pin": {
      "post": {
        "operationId": "post-v1-sync-offline-pin",
        "summary": "Synchronize offline PIN",
        "description": "Synchronize the offline PIN with the current online PIN value. The platform generates a script with the current online PIN, sends the script in response to the next authorization made with a chip (contact), and generates the [Card issuer script notification received](https://developers.pismo.io/events/docs/cards-issuer-script-1) event.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n",
        "tags": [
          "PCI"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/cardId"
          }
        ],
        "requestBody": {
          "description": "Request body should be empty",
          "required": false,
          "content": {
            "application/json": {}
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```